Детали продажи
const url = 'https://api-admin.billz.ai/v2/order/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-admin.billz.ai/v2/order/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Коды ошибок: 400 — ошибка валидации входных данных; 404 — объект не найден; 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»UUID продажи/обмена/черновика; невалидный -> 400
Header Parameters
Заголовок раздела «Header Parameters»Идентификатор платформы. Для интеграций используется статичное значение.
Responses
Заголовок раздела «Responses»Успешный ответ
object
Id заказа
Родительский заказ
Компания
Номер заказа
Статус заказа
Включает order_items и order_payments
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Тип заказа
Дата создания
Дата удаления (epoch)
Дата создания UTC
Время отложки
Долг
Клиент
Долг родительского заказа
Признак удаления
Кто удалил
Имя удалившего
Кол-во логов Webkassa
Кол-во логов EPOS
Фискальные логи
Дата завершения
Отображаемая дата завершения
Дата продажи
Отображаемая дата продажи
Отображаемая дата удаления
Платежи по долгу
Статус парковки
Обмен отключён; выставляется в true, если у родительского заказа есть оплата Kaspi
Остаток долга по цепочке
Остаток SoftPOS-оплаты
Дата обновления
Есть страховка
{id, order_number, items[], payments[], created_at, sold_at}
Признак пересчитанности
Examplegenerated
{ "id": "example", "parent_id": "example", "company_id": "example", "order_number": "example", "order_status": "example", "order_detail": { "id": "example", "order_id": "example", "customer": { "customer_type": "example" }, "user_id": "example", "user": { "id": "example", "name": "example", "first_name": "example", "last_name": "example" }, "cashbox_name": "example", "cashbox_id": "example", "cashbox_history_id": "example", "shift_id": 1, "shop_id": "example", "shop": { "id": "example", "name": "example" }, "total_price": 1, "has_discount": true, "total_products_measurement_value": 1, "total_sets_measurement_value": 1, "total_services_measurement_value": 1, "total_returned_measurement_value": 1, "version_number": 1, "comment": "example", "created_at": "example", "created_at_utc": "example", "order_items": [ { "id": "example", "sellers": [ {} ], "product": { "id": "example", "name": "example", "base_name": "example", "barcode": "example", "additional_barcodes": [ {} ], "sku": "example", "category_name": "example", "brand_name": "example", "category_id": "example", "brand_id": "example", "main_image_url": "example", "main_image": "example", "retail_price": 1, "supply_price": 1, "measurement_unit": { "id": "example", "name": "example", "company_id": "example", "short_name": "example", "precision": "example", "is_default": true }, "product_type_id": "example", "categories": [ {} ], "shop_measurement_values": [ { "shop_id": "example", "total_active_measurement_value": 1, "total_inactive_measurement_value": 1 } ], "shop_prices": [ { "shop_id": "example", "retail_price": 1, "supply_price": 1, "wholesale_price": 1, "min_price": 1, "max_price": 1, "min_supply_price": 1, "max_supply_price": 1 } ], "custom_fields": [ {} ], "set_products": [ {} ], "free_price": true, "amount": 1, "gift_card_id": 1, "gift_card_use_type": "example", "gift_status": "example", "shop_free_prices": [ {} ] }, "product_id": "example", "product_type_id": "example", "product_variant_id": "example", "name": "example", "sku": "example", "barcode": "example", "retail_price": 1, "supply_price": 1, "total_price": 1, "delta": 1, "price": 1, "sale_price": 1, "sale_price_without_rounding": 1, "rounding_applied": true, "rounding_price": 1, "discount_value": 1, "discount_unit": "example", "discount_amount": 1, "discount_percent": 1, "measurement_value": 1, "returned_measurement_value": 1, "measurement_type": "example", "sequence_number": 1, "is_returned": true, "has_manual_discount": true, "promo_id": "example", "promo_ids": [ "example" ], "promo_shorts": [ {} ], "used_wholesale_price": true, "return_days_with_discount": 1, "free_price": true, "order_detail_id": "example", "marking_codes": [ "example" ], "marking_code_infos": [ {} ], "order_product_id": 1, "sale_order_item_id": "example" } ], "with_cashback": 1, "returned_cashback": 1, "loyalty_balance_income": 1, "loyalty_balance_outcome": 1, "loyalty_payment": 1, "not_loyalty_payment": 1, "gift_card_payment": 1, "is_authorized": true, "has_certificate": true, "has_voucher": true, "promo_codes": [ "example" ], "without_cashback": true, "user_has_auth_role": true, "offline_order_validation_status": 1, "applied_on_cart": true, "auth_client_cashback_withdrawal": true, "has_payment_token": true, "payment_token": "example", "rounding_operations": [ {} ] }, "order_type": "example", "created_at": "example", "deleted_at": 1, "created_at_utc": "example", "future_time": "example", "debt": "example", "customer_id": "example", "parent_order_debt": "example", "deleted": true, "deleted_by_user_id": "example", "deleted_by_user_name": "example", "webkassa_log_qty": 1, "epos_log_qty": 1, "epos_logs": [ "example" ], "finished_at": "example", "display_finished_at": "example", "sold_at": "example", "display_sold_at": "example", "display_deleted_at": "example", "order_debt_payments": [ "example" ], "park_status": "example", "exchange_disabled": true, "total_remaining_debt_in_chain": 1, "total_remaining_softpos_payment": 1, "updated_at": "example", "has_insurance": true, "insurance": "example", "is_calculated": true}